Subject: Re: [patch 2/2] powerpc: optimise smp_wmb

From: Segher Boessenkool <[email-masked]>
Date: Wed, 21 May 2008 22:51:51 +0200

> This is mostly useless then since lwsync is just a sync to a processor
> that doesn't know it (it's a sync with a reservd bit set) :-) Or it's
> just to make gas happy if you specify a processor type that doesn't 
> have
> lwsync ?

GAS doesn't care (I tried with -Wa,-m405).  Support for this insn
was added to binutils in august 2001; do we still support older
binutils than that?  If so, we should just do the ".long" trick in
a lwsync() inline function, like we do for similar cases.

Segher